
# THIS PACKAGE IS STORED IN SVN
# PLEASE DO NOT UPLOAD WITHOUT
# COMMITTING YOUR CHANGES FIRST

%define	name	krb5
%define version 1.4.3
%define release %mkrel 6


%define	major	3
%define	libname	%mklibname %name %major

# enable checking after compile
%define enable_check 0
%{?_with_check: %global %enable_check 1}

%define with_krb4 0

Summary:	The Kerberos network authentication system
Name:		%{name}
Version:	%{version}
Release:	%{release}
# from http://web.mit.edu/kerberos/dist/krb5/1.4/krb5-1.4.1-signed.tar
Source0:	%{name}-%{version}.tar.gz
Source1:	kpropd.init.bz2
Source2:	krb524d.init.bz2
Source3:	kadmind.init.bz2
Source4:	krb5kdc.init.bz2
Source5:	krb5.conf.bz2
Source6:	krb5.sh.bz2
Source7:	krb5.csh.bz2
Source8:	kdcrotate.bz2
Source9:	kdc.conf.bz2
Source10:	kadm5.acl.bz2
Source11:	krsh.bz2
Source12:	krlogin.bz2
Source13:	eklogin.xinetd.bz2
Source14:	klogin.xinetd.bz2
Source15:	kshell.xinetd.bz2
Source16:	telnet-krb5.xinetd.bz2
Source17:	ftp-krb5.xinetd.bz2
Source18:	krb5server.init.bz2
Source19:	statglue.c.bz2
Source20:	telnet.16.xpm.bz2
Source21:	telnet.32.xpm.bz2
Source22:	telnet.48.xpm.bz2
Source23:	Mandrake-Kerberos-HOWTO.html.bz2
Source24:	%{name}-%{version}.tar.gz.asc
Source25:	http://web.mit.edu/kerberos/www/advisories/2003-004-krb4_patchkit.tar.gz
Source26:	http://web.mit.edu/kerberos/www/advisories/2003-004-krb4_patchkit.sig
# Notice: this is not a detached signature: the patch is within also
Source27:	http://web.mit.edu/kerberos/advisories/2006-001-patch_1.4.3.txt.asc

Patch0:		krb5-1.2.2-telnetbanner.patch
Patch1:		krb5-1.2.5-biarch-utmp.patch
Patch2:		krb5-1.3-newline.patch
Patch3:		krb5-1.3-telnet.patch
Patch4:		krb5-1.3-no-rpath.patch

# stolen from fedora
Patch5:		krb5-1.3-info-dir.patch
Patch6:		krb5-1.3-large-file.patch
Patch7:		krb5-1.3-ksu-path.patch
Patch8:		krb5-1.3-ksu-access.patch
Patch9:		krb5-1.3-pass-by-address.patch
Patch10:	krb5-1.3-netkit-rsh.patch
Patch11:	krb5-1.3-rlogind-environ.patch
Patch12:	krb5-1.3-ktany.patch
Patch13:	krb5-1.3-ftp-glob.patch
#Patch14:	krb5-1.3.1-dns.patch.bz2
Patch15:	krb5-1.3.1-varargs.patch
Patch16:	krb5-1.3.1-server-sort.patch
Patch17:	krb5-1.3.1-null.patch
Patch18:	krb5-1.3.2-efence.patch
Patch19:	krb5-1.3.3-rcp-sendlarge.patch
#Patch20:	2004-002-patch_1.3.4.txt.bz2
#Patch21:	2004-003-asn1buf_patch.txt.bz2
Patch22:	krb5-1.3.5-gethostbyname_r.patch
# (gb) preserve file names when generating files from *.et (multiarch fixes)
Patch23:	krb5-1.3.6-et-preserve-file-names.patch
# http://qa.mandriva.com/show_bug.cgi?id=9410
Patch24:	krb5-1.4.1-ftplfs.patch
Patch25:	krb5-1.4.3-pthread_np.patch
# http://web.mit.edu/kerberos/advisories/MITKRB5-SA-2006-001-setuid.txt
Patch26:	http://web.mit.edu/kerberos/advisories/2006-001-patch_1.4.3.txt
License:	MIT
URL:		http://web.mit.edu/kerberos/www/
Group:		System/Libraries
Requires(pre):	/sbin/install-info
Requires:	/sbin/install-info
BuildRequires:	bison flex termcap-devel texinfo e2fsprogs-devel
BuildRequires:	tcl tcl-devel chrpath
%if %enable_check
BuildRequires:	dejagnu
%endif
BuildRequires:	multiarch-utils >= 1.0.3
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of cleartext passwords.

%package -n	%{libname}-devel
Summary:	Development files needed for compiling Kerberos 5 programs
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	krb-devel = %{version}-%{release}
Provides:	krb5-devel = %{version}-%{release}
Provides:	libkrb51-devel
Provides:	libkrb-devel
Obsoletes:	krb-devel 
Obsoletes:	krb5-devel
Obsoletes:	libkrb51-devel

%description -n	%{libname}-devel
Kerberos is a network authentication system.  The krb5-devel package
contains the header files and libraries needed for compiling Kerberos
5 programs. If you want to develop Kerberos-aware programs, you'll
need to install this package.

%package -n	%{libname}
Summary:	The shared libraries used by Kerberos 5
Group:		System/Libraries
Provides:	krb5-libs = %{version}-%{release}
Provides:	libkrb51
Obsoletes:	krb5-libs
Obsoletes:	libkrb51

%description -n	%{libname}
Kerberos is a network authentication system.  The krb5-libs package
contains the shared libraries needed by Kerberos 5.  If you're using
Kerberos, you'll need to install this package.

%package	server
Group:		System/Servers
Summary:	The server programs for Kerberos 5
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name}-workstation = %{version}-%{release}
Requires:	words
Requires(pre):	/sbin/install-info
Requires:	/sbin/install-info

%description	server
Kerberos is a network authentication system.  The krb5-server package
contains the programs that must be installed on a Kerberos 5 server.
If you're installing a Kerberos 5 server, you need to install this
package (in other words, most people should NOT install this
package).

%package	workstation
Summary:	Kerberos 5 programs for use on workstations
Group:		System/Base
Requires:	%{libname} = %{version}-%{release}
Requires(pre):	/sbin/install-info
Requires:	/sbin/install-info
Conflicts:	rsh <= 0.17-12mdk

%description	workstation
Kerberos is a network authentication system.  The krb5-workstation
package contains the basic Kerberos programs (kinit, klist, kdestroy,
kpasswd). If your network uses Kerberos, this package should be installed
on every workstation.

%package -n	telnet-server-krb5
Summary:	A telnet-server with kerberos support
Group:		Networking/Remote access
Requires:	%{libname} = %{version}-%{release}
Requires:	xinetd
Obsoletes:	telnet-server
Provides:	telnet-server

%description -n	telnet-server-krb5
Telnet is a popular protocol for logging into remote systems over the Internet.
The telnet-server package provides a telnet daemon, which will support remote
logins into the host machine. The telnet daemon is enabled by default. You may
disable the telnet daemon by editing /etc/inetd.conf.

Install the telnet-server package if you want to support remote logins to your
machine.

This version supports kerberos authentication.

%package -n	telnet-client-krb5
Summary:	A telnet-client with kerberos support
Group:		Networking/Remote access
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	telnet
Provides:	telnet
 
%description -n	telnet-client-krb5
Telnet is a popular protocol for logging into remote systems over the Internet.
The telnet package provides a command line telnet client.

Install the telnet package if you want to telnet to remote machines.

This version supports kerberos authentication.

%package -n	ftp-client-krb5
Summary:	A ftp-client with kerberos support
Group:		Networking/File transfer
Requires:	%{libname} = %{version}
Obsoletes:	ftp
Provides:	ftp

%description -n	ftp-client-krb5
The ftp package provides the standard UNIX command-line FTP client.
FTP is the file transfer protocol, which is a widely used Internet
protocol for transferring files and for archiving files.

If your system is on a network, you should install ftp in order to do
file transfers.

This version supports kerberos authentication.

%package -n	ftp-server-krb5
Summary:	A ftp-server with kerberos support
Group:		Networking/File transfer
Requires:	%{libname} = %{version}
Provides:	ftpserver

%description -n	ftp-server-krb5
The ftp-server package provides an ftp server.

This version supports kerberos authentication.

%prep
%setup -q -a 25
%patch0 -p1 -b .banner
%patch1 -p1 -b .biarch-utmp
#%patch2 -p1 -b .newline
%patch3 -p1 -b .telnet
%patch4 -p1 -b .no-rpath
%patch5  -p1 -b .info-dir
%patch6  -p1 -b .large-file
%patch7  -p1 -b .ksu-path
%patch8  -p1 -b .ksu-access
%patch9  -p1 -b .pass-by-address
%patch10  -p1 -b .netkit-rsh
#%patch11  -p1 -b .rlogind-environ
#%patch12  -p1 -b .ktany
%patch13  -p1 -b .ftp-glob
#%patch14 -p1 -b .dns 
#%patch15 -p1 -b .varargs
#%patch16 -p1 -b .server-sort
#%patch17 -p1 -b .null 
%patch18 -p1 -b .efence
%patch19 -p1 -b .rcp-sendlarge
#%patch20 -p0 -b .2004-002
#%patch21 -p0 -b .2004-003
%patch22 -p1 -b .gethostbyname_r
%patch23 -p1 -b .et-preserve-file-names
%patch24 -p1 -b .lfs
%patch25 -p1 -b .pthread_np
cd src
%patch26 -p0 -b .SA-2006-001
cd -

find . -type f -name "*.fixinfo" -exec rm -fv "{}" ";"
gzip doc/*.ps

find -name "*\.h" | xargs perl -p -i -e "s|\<com_err|\<et/com_err|";
find -name "*\.h" | xargs perl -p -i -e "s|\"com_err|\"et/com_err|";

%build
export CFLAGS=-I/usr/include/et 
find . -name "*.[ch]"|xargs grep -r -l "^extern int errno;" * | xargs perl -p -i -e "s|^extern int errno;|#include <errno.h>|"
find . -name "*.[ch]"|xargs grep -r -l "extern int errno;" * | xargs perl -p -i -e "s|^extern int errno;||"

cd src
%{?__cputoolize: %{__cputoolize} -c config}

# Can't use %%configure because we don't use the default mandir.
#--with-ccopts="$RPM_OPT_FLAGS $ARCH_OPT_FLAGS -fPIC" \
LDCOMBINE_TAIL="-lc"; export LDCOMBINE_TAIL
DEFINES="-D_FILE_OFFSET_BITS=64" ; export DEFINES
# res_search is #define's as __res_search thus failing the name lookup
# in libresolv. Should make a clean patch to *.m4 so that <resolv.h>
# is #include'd prior to checking for that symbol
# CFLAGS="%{optflags} $ARCH_OPT_FLAGS $DEFINES -fPIC" \
env ac_cv_lib_resolv_res_search=yes ./configure \
	--prefix=%_prefix \
	--infodir=%{_infodir} \
	--mandir=%{buildroot}%{_mandir} \
	--localstatedir=/etc/kerberos \
%if %{with_krb4}
	--with-krb4 \
%else
	--without-krb4 \
%endif
	--enable-dns-for-realm \
	--with-tcl=%_prefix \
	--with-system-et \
	--with-system-ss \
	--libexecdir=%{_libdir} \
	--libdir=%{_libdir} \
	--enable-shared   \
	--enable-static  

find . -name Makefile | xargs perl -p -i -e 's@-Wl,-rpath -Wl,\$\(PROG_RPATH\)+@@';
find . -name Makefile | xargs perl -p -i -e 's@PROG_RPATH\=\$\(KRB5_LIBDIR\)+@PROG_RPATH\=@';
find . -name Makefile | xargs perl -p -i -e 's/TCL_RPATH\s+\=\s+\@TCL_RPATH\@+/TCL_RPATH\=/';
find . -name Makefile | xargs perl -p -i -e 's/PROG_RPATH\s+\=\s+\$\(TCL_RPATH\)+/TCL_RPATH\=/';
find . -name Makefile | xargs perl -p -i -e 's/\@SHLIB_RPATH_DIRS\@+//';
find . -name Makefile | xargs perl -p -i -e "s@ %{_libdir}@ %{buildroot}%{_libdir}@";
%make RPATH_FLAG= PROG_RPATH= LDCOMBINE='%{__cc} -shared -Wl,-soname=lib$(LIB)$(SHLIBSEXT) $(CFLAGS)'

# Run the test suite.  Won't run in the build system because /dev/pts is
# not available for telnet tests and so on.
# make check TMPDIR=%{_tmppath}

%install
rm -rf %{buildroot}

# Our shell scripts.
install -d %{buildroot}%{_bindir}
bzcat %{SOURCE11} > %{buildroot}%{_bindir}/krsh
bzcat %{SOURCE12} > %{buildroot}%{_bindir}/krlogin

# Extra headers.
install -d %{buildroot}%{_includedir}
pushd src/include
    find kadm5 krb5 gssrpc gssapi -name "*.h" | cpio -pdm  %{buildroot}%{_includedir}
popd
perl -pi -e 's#k5-int#krb5/kdb#g' %{buildroot}%{_includedir}/kadm5/admin.h
find %{buildroot}%{_includedir} -type d | xargs chmod 755
find %{buildroot}%{_includedir} -type f | xargs chmod 644

#logdir
install -d %{buildroot}/var/log/kerberos

# Info docs.
install -d %{buildroot}%{_infodir}
install -m 644 doc/*.info* %{buildroot}%{_infodir}/
%if !%{with_krb4}
rm -f %{buildroot}%{_infodir}/krb425.info*
%endif

# KDC config files.
install -d %{buildroot}%{_sysconfdir}/kerberos/krb5kdc
bzcat %{SOURCE9} > %{buildroot}%{_sysconfdir}/kerberos/krb5kdc/kdc.conf
bzcat %{SOURCE10} > %{buildroot}%{_sysconfdir}/kerberos/krb5kdc/kadm5.acl

# Client config files and scripts.
install -d %{buildroot}/etc/profile.d
bzcat %{SOURCE5} > %{buildroot}%{_sysconfdir}/krb5.conf
bzcat %{SOURCE6} > %{buildroot}%{_sysconfdir}/profile.d/krb5.sh
bzcat %{SOURCE7} > %{buildroot}%{_sysconfdir}/profile.d/krb5.csh

# KDC init script.
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sbindir}

bzcat %{SOURCE4} > %{buildroot}%{_initrddir}/krb5kdc
bzcat %{SOURCE3} > %{buildroot}%{_initrddir}/kadmin
bzcat %{SOURCE1} > %{buildroot}%{_initrddir}/kprop
%if %{with_krb4}
bzcat %{SOURCE2} > %{buildroot}%{_initrddir}/krb524
%endif
bzcat %{SOURCE8} > %{buildroot}%{_sbindir}/kdcrotate
bzcat %{SOURCE18} > %{buildroot}%{_initrddir}/krb5server

# The rest of the binaries and libraries and docs.
pushd src
find . -name Makefile | xargs perl -p -i -e "s@ %{_libdir}@ %{buildroot}%{_libdir}@";
make prefix=%{buildroot}%{_prefix} \
	localstatedir=%{buildroot}%{_sysconfdir}/kerberos \
	infodir=%{buildroot}%{_infodir} \
 	libdir=%{buildroot}%{_libdir} install
popd

# Fixup strange shared library permissions.
chmod 755 %{buildroot}%{_libdir}/*.so*

# Xinetd configuration files.
install -d %{buildroot}%{_sysconfdir}/xinetd.d/
bzcat %{SOURCE16} > %{buildroot}%{_sysconfdir}/xinetd.d/telnet
bzcat %{SOURCE17} > %{buildroot}%{_sysconfdir}/xinetd.d/ftp
bzcat %{SOURCE23} > doc/Mandrake-Kerberos-HOWTO.html

# Rename rsh, rlogin and rcp to not conflict with those provided by netkit
for i in rcp rlogin rsh; do
    mv %{buildroot}%{_bindir}/$i %{buildroot}%{_bindir}/$i.krb5
    mv %{buildroot}%{_mandir}/man1/$i.1 %{buildroot}%{_mandir}/man1/$i.krb5.1
done

# strip rpath
chrpath -d %{buildroot}%{_libdir}/*so*
strip %{buildroot}%{_bindir}/{ksu,v4rcp}

# dump un-FHS examples location (files included in doc list now)
rm -Rf %{buildroot}/%{_datadir}/examples

# multiarch policy
%multiarch_binaries %{buildroot}%{_bindir}/krb5-config
%multiarch_includes %{buildroot}%{_includedir}/gssapi/gssapi.h
# (gb) this one could be fixed differently and properly using <stdint.h>
%multiarch_includes %{buildroot}%{_includedir}/gssrpc/types.h
# multiarch_includes %{buildroot}%{_includedir}/krb5/k5-config.h
%multiarch_includes %{buildroot}%{_includedir}/krb5/autoconf.h
%multiarch_includes %{buildroot}%{_includedir}/krb5/osconf.h
%multiarch_includes %{buildroot}%{_includedir}/krb5.h

%if ! %{with_krb4}
rm -rf %{buildroot}%{_includedir}/kerberosIV
%endif

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post server
# Remove the init script for older servers.
[ -x /etc/rc.d/init.d/krb5server ] && /sbin/chkconfig --del krb5server
# Install the new ones.
/sbin/chkconfig --add krb5kdc
/sbin/chkconfig --add kadmin
%if %{with_krb4}
/sbin/chkconfig --add krb524
%_install_info krb425.info
%endif
/sbin/chkconfig --add kprop
%_install_info krb5-admin.info
%_install_info krb5-install.info

%preun server
if [ "$1" = "0" ] ; then
	/sbin/chkconfig --del krb5kdc
	/sbin/chkconfig --del kadmin
%if %{with_krb4}
	/sbin/chkconfig --del krb524
	/sbin/service krb524 stop > /dev/null 2>&1 || :
%endif
	/sbin/chkconfig --del kprop
	/sbin/service krb5kdc stop > /dev/null 2>&1 || :
	/sbin/service kadmin stop > /dev/null 2>&1 || :
	/sbin/service kprop stop > /dev/null 2>&1 || :
fi
%if %{with_krb4}
%_remove_install_info krb425.info
%endif
%_remove_install_info krb5-admin.info
%_remove_install_info krb5-install.info

%postun server
if [ "$1" -ge 1 ] ; then
	/sbin/service krb5kdc condrestart > /dev/null 2>&1 || :
%if %{with_krb4}
	/sbin/service krb524 condrestart > /dev/null 2>&1 || :
%endif
	/sbin/service kadmin condrestart > /dev/null 2>&1 || :
	/sbin/service kprop condrestart > /dev/null 2>&1 || :
fi

%post workstation
%_install_info krb5-user.info
/sbin/service xinetd reload > /dev/null 2>&1 || :
%{_sbindir}/update-alternatives --install %{_bindir}/rcp rcp %{_bindir}/rcp.krb5 20 --slave %{_mandir}/man1/rcp.1.bz2 man-rcp %{_mandir}/man1/rcp.krb5.1.bz2
%{_sbindir}/update-alternatives --install %{_bindir}/rlogin rlogin %{_bindir}/rlogin.krb5 20 --slave %{_mandir}/man1/rlogin.1.bz2 man-rlogin %{_mandir}/man1/rlogin.krb5.1.bz2
%{_sbindir}/update-alternatives --install %{_bindir}/rsh rsh %{_bindir}/rsh.krb5 20 --slave %{_mandir}/man1/rsh.1.bz2 man-rsh %{_mandir}/man1/rsh.krb5.1.bz2

%preun workstation
%_remove_install_info krb5-user.info
if [ $1 -eq 0 ]; then
  %{_sbindir}/update-alternatives --remove rcp %{_bindir}/rcp.krb5
  %{_sbindir}/update-alternatives --remove rlogin %{_bindir}/rlogin.krb5
  %{_sbindir}/update-alternatives --remove rsh %{_bindir}/rsh.krb5
fi

%postun workstation
/sbin/service xinetd reload > /dev/null 2>&1 || :

%triggerpostun workstation -- %{name}-workstation <= 1.3-4mdk
if [ ! -f %{_bindir}/rcp ]; then
  %{_sbindir}/update-alternatives --install %{_bindir}/rcp rcp %{_bindir}/rcp.krb5 20 --slave %{_mandir}/man1/rcp.1.bz2 man-rcp %{_mandir}/man1/rcp.krb5.1.bz2
  %{_sbindir}/update-alternatives --install %{_bindir}/rlogin rlogin %{_bindir}/rlogin.krb5 20 --slave %{_mandir}/man1/rlogin.1.bz2 man-rlogin %{_mandir}/man1/rlogin.krb5.1.bz2
  %{_sbindir}/update-alternatives --install %{_bindir}/rsh rsh %{_bindir}/rsh.krb5 20 --slave %{_mandir}/man1/rsh.1.bz2 man-rsh %{_mandir}/man1/rsh.krb5.1.bz2
fi

%post -n telnet-server-krb5
/sbin/service xinetd reload > /dev/null 2>&1 || :
ln -sf /bin/login /usr/sbin/login.krb5
file="/etc/xinetd.d/telnet"
if [ ! -f $file ] ; then
	echo "Can't find xinetd file for telnet."
	exit 0
fi
perl -pi -e "s|/usr/sbin/in\.telnetd|/usr/sbin/telnetd|g" $file
# We already have the required flags (-a <some_auth_mode>)
cat $file|egrep -q "server_args.*=.*-a[[:space:]]+.*$" && exit 0
# Don't have -a <some_auth_mode>, check if we have server_args or not
cat $file|egrep -q "server_args.*=.*$" && \
	perl -pi -e "s|(server_args.*=.*$)|\1\ -a\ none|" $file && exit 0
# Say, no server_args in xinetd file.
perl -pi -e "s|(server.*=.*/usr/sbin/telnetd.*$)|\1\n\tserver_args\t=\ -a\ none|" $file && exit 0

%postun -n telnet-server-krb5
/sbin/service xinetd reload > /dev/null 2>&1 || :

%post -n ftp-server-krb5
/sbin/service xinetd reload > /dev/null 2>&1 || :
ln -sf /bin/login /usr/sbin/login.krb5
file="/etc/xinetd.d/ftp"
if [ ! -f $file ] ; then
	echo "Can't find xinetd file for ftp."
	exit 0
fi

%postun -n ftp-server-krb5
/sbin/service xinetd reload > /dev/null 2>&1 || :

%clean
rm -rf %{buildroot}

%files workstation
%defattr(-,root,root)
%attr(0755,root,root) %config(noreplace) /etc/profile.d/krb5.sh
%attr(0755,root,root) %config(noreplace) /etc/profile.d/krb5.csh
%doc doc/*.html doc/user*.ps.gz src/config-files/services.append
%doc src/config-files/krb5.conf
%attr(0755,root,root) %doc src/config-files/convert-config-files
%{_infodir}/krb5-user.info*
%{_bindir}/gss-client
%{_bindir}/kdestroy
%{_mandir}/man1/kdestroy.1*
%{_mandir}/man1/kerberos.1*
%{_bindir}/kinit
%{_mandir}/man1/kinit.1*
%{_bindir}/klist
%{_mandir}/man1/klist.1*
%{_bindir}/kpasswd
%{_mandir}/man1/kpasswd.1*
%if %{with_krb4}
%{_bindir}/krb524init
%attr(0755,root,root) %{_bindir}/v4rcp
%{_mandir}/man1/v4rcp.1*
%endif
%{_sbindir}/kadmin
%{_mandir}/man8/kadmin.8*
%{_sbindir}/ktutil
%{_mandir}/man8/ktutil.8*
%attr(0755,root,root) %{_bindir}/ksu
%{_mandir}/man1/ksu.1*
%{_bindir}/kvno
%{_mandir}/man1/kvno.1*
%{_bindir}/rcp.krb5
%{_mandir}/man1/rcp.krb5.1*
%attr(0755,root,root) %{_bindir}/krlogin
%{_bindir}/rlogin.krb5
%{_mandir}/man1/rlogin.krb5.1*
%attr(0755,root,root) %{_bindir}/krsh
%{_bindir}/rsh.krb5
%{_mandir}/man1/rsh.krb5.1*
%{_mandir}/man1/tmac.doc*
#%{_bindir}/v5passwd
#%{_mandir}/man1/v5passwd.1*
%{_bindir}/sim_client
%{_bindir}/uuclient
%{_sbindir}/login.krb5
%{_mandir}/man8/login.krb5.8*
%{_sbindir}/gss-server
%{_sbindir}/klogind
%{_mandir}/man8/klogind.8*
%{_sbindir}/krb5-send-pr
%{_mandir}/man1/krb5-send-pr.1*
%{_sbindir}/kshd
%{_mandir}/man8/kshd.8*
%{_sbindir}/uuserver
%{_mandir}/man5/.k5login.5*
%{_mandir}/man5/krb5.conf.5*

%files server
%defattr(-,root,root)
%attr(0755,root,root) %{_initrddir}/krb5kdc
%attr(0755,root,root) %{_initrddir}/kadmin
%if %{with_krb4}
%attr(0755,root,root) %{_initrddir}/krb524
%endif
%attr(0755,root,root) %{_initrddir}/kprop
%attr(0755,root,root) %{_initrddir}/krb5server
%doc doc/admin*.ps.gz doc/*html
%if %{with_krb4}
%doc doc/krb425*.ps.gz 
%{_infodir}/krb425.info*
%endif
%doc doc/install*.ps.gz
%doc src/config-files/kdc.conf
%{_infodir}/krb5-admin.info*
%{_infodir}/krb5-install.info*
%dir /var/log/kerberos
%dir %{_sysconfdir}/kerberos/krb5kdc 
%config(noreplace) %{_sysconfdir}/kerberos/krb5kdc/kdc.conf
%config(noreplace) %{_sysconfdir}/kerberos/krb5kdc/kadm5.acl
%{_mandir}/man5/kdc.conf.5*
%{_sbindir}/kadmin.local
%{_mandir}/man8/kadmin.local.8*
%{_sbindir}/kadmind
%{_mandir}/man8/kadmind.8*
#%{_sbindir}/kadmind4
%{_sbindir}/kdb5_util
%{_mandir}/man8/kdb5_util.8*
%{_sbindir}/kprop
%{_mandir}/man8/kprop.8*
%{_sbindir}/kpropd
%{_mandir}/man8/kpropd.8*
%if %{with_krb4}
%{_sbindir}/krb524d
%{_mandir}/man8/krb524d.8*
%endif
%{_sbindir}/krb5kdc
%{_mandir}/man8/k5srvutil.8*
%{_sbindir}/k5srvutil
%{_mandir}/man8/krb5kdc.8*
%{_sbindir}/sim_server
#%{_sbindir}/v5passwdd
# This is here for people who want to test their server, and also 
# included in devel package for similar reasons.
%{_bindir}/sclient
%{_mandir}/man1/sclient.1*
%{_sbindir}/sserver
%{_mandir}/man8/sserver.8*
%attr(0755,root,root) %{_sbindir}/kdcrotate
%{_datadir}/gnats/mit

%files -n %{libname}
%defattr(-,root,root)
%doc README
%config(noreplace) %{_sysconfdir}/krb5.conf
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc doc/api
%doc doc/implement
%doc doc/kadm5
%doc doc/kadmin
%doc doc/krb5-protocol
%doc doc/rpc
%multiarch %{multiarch_bindir}/krb5-config
%multiarch %{multiarch_includedir}/gssapi/gssapi.h
%multiarch %{multiarch_includedir}/gssrpc/types.h
# multiarch %{multiarch_includedir}/krb5/k5-config.h
%multiarch %{multiarch_includedir}/krb5/autoconf.h
%multiarch %{multiarch_includedir}/krb5/osconf.h
%multiarch %{multiarch_includedir}/krb5.h
%{_includedir}/*
%{_bindir}/krb5-config
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_bindir}/sclient
%{_mandir}/man1/sclient.1*
%{_sbindir}/sserver
%{_mandir}/man8/sserver.8*
%{_mandir}/man1/krb5-config.1*

%files -n telnet-server-krb5
%defattr(-,root,root)
%config(noreplace) /etc/xinetd.d/telnet
%{_sbindir}/telnetd
%{_mandir}/man8/telnetd.8*

%files -n telnet-client-krb5
%defattr(-,root,root)
%{_bindir}/telnet
%{_mandir}/man1/telnet.1*

%files -n ftp-client-krb5
%defattr(-,root,root)
%{_bindir}/ftp
%{_mandir}/man1/ftp.1*

%files -n ftp-server-krb5
%defattr(-,root,root)
%config(noreplace) /etc/xinetd.d/ftp
%{_sbindir}/ftpd
%{_mandir}/man8/ftpd.8*



%changelog
* Mon Aug 21 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-21 14:22:32 (56977)
- updated security patch for MIT krb5 Security Advisory 2006-001

* Wed Aug 09 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-09 18:30:41 (54880)
- bump release

* Wed Aug 09 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-09 15:51:25 (54744)
- added patch for MITKRB5-SA-2006-001-setuid vulnerability

* Wed Aug 09 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-09 15:31:42 (54723)
- import krb5-1.4.3-4mdv2007.0

* Tue Jun 06 2006 Per yvind Karlsen <pkarlsen@mandriva.com> 1.4.3-4mdv2007.0
- rebuild properly when pthread_mutexattr_setrobust_np() is defined but not
  declared, such as with recent glibc when _GNU_SOURCE isn't being used (P25 from fedora)

* Tue Mar 07 2006 Andreas Hasenack <andreas@mandriva.com> 1.4.3-3mdk
- fixed kpropd initscript (Closes: #21491)

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-2mdk
- fix deps

* Mon Nov 21 2005 Andreas Hasenack <andreas@mandriva.com> 1.4.3-1mdk
- updated to version 1.4.3
- Prereq -> Requires(foo)

* Wed Aug 17 2005 Andreas Hasenack <andreas@mandriva.com> 1.4.2-1mdk
- updated to version 1.4.2
- removed MITKRB5-SA-2005-002 security patch, already applied
- removed MITKRB5-SA-2005-003 security patch, already applied

* Thu Aug 04 2005 Andreas Hasenack <andreas@mandriva.com> 1.4.1-7mdk
- fixed init script to only call krb524 if it exists (#17213)

* Tue Jul 12 2005 Andreas Hasenack <andreas@mandriva.com> 1.4.1-6mdk
- added security patches from MITKRB5-SA-2005-002 and MITKRB5-SA-2005-003
  (CAN-2005-1174, CAN-2005-1175 and CAN-2005-1689)

* Tue Jun 28 2005 Andreas Hasenack <andreas@mandriva.com> 1.4.1-5mdk
- same (lfs patch) for ftp server

* Tue Jun 28 2005 Andreas Hasenack <andreas@mandriva.com> 1.4.1-4mdk
- patch for LFS in the ftp client

* Mon Jun 27 2005 Andreas Hasenack <andreas@mandriva.com> 1.4.1-3mdk
- using EXAMPLE.COM in default configuration file

* Mon Jun 27 2005 Andreas Hasenack <andreas@mandriva.com> 1.4.1-2mdk
- conditionally build krb4 support (disabled by default)
- removed empty %post{,un} sections
- removed %config tag from init scripts
- fixed profile scripts permissions
- using correct ./configure option to enable dns realm lookup

* Wed Jun 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.4.1-1mdk
- 1.4.1
- drop p11 (conflict), p24 (upstream) and p25 (conflict,unnecessary)
- previous changes for 1.4:
  - 1.4
  - drop p2,p12 (conflict), p15 (upstream), p16 (some conflict, some upstream),
    p17 (original source gone)

* Fri May 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.6-7mdk
- added one gcc4 patch (debian)

* Wed Apr 06 2005 Daouda LO <daouda@mandrakesoft.com> 1.3.6-6mdk
o Tue Mar 29 2005 Vincent Danen <vdanen@mandrakesoft.com> 1.3.4-2.2.101mdk
  - security fix for CAN-2005-0468, CAN-2005-0469

* Thu Mar 10 2005 Stefan van der Eijk <stefan@eijk.nu> 1.3.6-5mdk
- reupload

* Mon Feb 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.6-4mdk
- multiarch + also preserve file names when generating headers from *.h files

* Sat Feb 12 2005 Pascal Terjan <pterjan@mandrake.org> 1.3.6-3mdk
- fix patch 13 causing segfault in ftp

* Tue Feb 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.6-2mdk
- fix deps and %multiarch
- fix no-reload-entry in the krb5server, krb524 and kprop init scripts

* Mon Jan 10 2005 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.3.6-1mdk
- 1.3.6
- don't use chrpath on static libraries
- summary-ended-with-dot
- macroize

* Fri Dec 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.3.5-1mdk
- 1.3.5
- add P22 from fedora
- drop P20 & P21 (merged upstream)

* Fri Oct 08 2004 Vincent Danen <vdanen@mandrakesoft.com> 1.3.4-2mdk
- include security patches (P20, P21) for CAN-2004-0642, CAN-2004-0643,
  CAN-2004-0644, CAN-2004-0772

* Sat Aug 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.4-1mdk
- 1.3.4
- added P19 (fedora)
- enable static devel libs
- misc spec file fixes

* Fri May 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.3.3-4mdk
- fix buildrequires
- spec cosmetics

* Mon May 17 2004 Florin <florin@mandrakesoft.com> 1.3.3-3mdk
- ugly rpath fix (brr, I hate to do that :o) )
- strip _bindir binaries

* Tue May 11 2004 Florin <florin@mandrakesoft.com> 1.3.3-2mdk
- add the 5-18 patches
- fix the master-key entry in kdc.conf

* Sun May 09 2004 Florin <florin@mandrakesoft.com> 1.3.3-1mdk
- 1.3.3
- spec cleanups

* Wed Mar 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3-6mdk
- fix buildrequires

* Sat Feb 14 2004 Abel Cheung <deaddog@deaddog.org> 1.3-5mdk
- Remove menu entry
- Use alternatives for tools conflicting with netkit rsh

* Sat Jan 17 2004 Abel Cheung <deaddog@deaddog.org> 1.3-4mdk
- Move krb5-config to devel package
- Use _install_info
- Patch38: Don't output any rpath related flags to krb5-config

* Tue Sep 02 2003 Florin <florin@mandrakesoft.com> 1.3-3mdk
- replace <com_err.h> with <et/com_err.h> in the headers

* Mon Aug 04 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3-2mdk
- cputoolize
- Put back Patch27 (biarch-utmp)
- BuildRequires: libext2fs-devel

* Tue Jul 22 2003 Florin <florin@mandrakesoft.com> 1.3-1mdk
- 1.3
- libification for the krb5-libs package
- use the system err headers
- add telnet newline patch
- drop lost of useless patches
- add the post sections for ftp-server
- TODO: update some patches(if possible)

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.7-5mdk
- Rebuild
- Add patch51 fix compile thanks Gwenole Beauchesne

